> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /credit-notes

GET https://api.merge.dev/api/accounting/v1/credit-notes

Returns a list of `CreditNote` objects.

Reference: https://docs.merge.dev/merge-unified/accounting/common-models/credit-notes/list

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Query parameters

- `company_id` (string, optional) — If provided, will only return credit notes for this company.
- `created_after` (datetime, optional) — If provided, will only return objects created after this datetime.
- `created_before` (datetime, optional) — If provided, will only return objects created before this datetime.
- `cursor` (string, optional) — The pagination cursor value.
- `expand` (list of enum, optional) — Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
  - Allowed values: `accounting_period`, `applied_payments`, `company`, `contact`, `line_items`, `payments`, `tracking_categories`
- `include_deleted_data` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `include_remote_data` (boolean, optional) — Whether to include the original data Merge fetched from the third-party to produce these models.
- `include_shell_data` (boolean, optional) — Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).
- `modified_after` (datetime, optional) — If provided, only objects synced by Merge after this date time will be returned.
- `modified_before` (datetime, optional) — If provided, only objects synced by Merge before this date time will be returned.
- `page_size` (integer, optional) — Number of results to return per page. The maximum limit is 100.
- `remote_fields` (enum, optional) — Deprecated. Use show_enum_origins.
  - Allowed values: `status`, `status,type`, `type`
- `remote_id` (string, optional) — The API provider's ID for the given object.
- `show_enum_origins` (enum, optional) — A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
  - Allowed values: `status`, `status,type`, `type`
- `transaction_date_after` (datetime, optional) — If provided, will only return objects created after this datetime.
- `transaction_date_before` (datetime, optional) — If provided, will only return objects created before this datetime.

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

## Response

### 200

- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)
- `results` (list of CreditNote, optional)

## Types

### CreditNote

# The CreditNote Object ### Description A `CreditNote` is transaction issued to a customer, indicating a reduction or cancellation of the amount owed by the customer. It is most generally used as an adjustment note used to rectify errors, returns, or overpayments related to a sales transaction. A `CreditNote` can be applied to *Accounts Receivable* Invoices to decrease the overall amount of the Invoice. ### Usage Example Fetch from the `LIST CreditNotes` endpoint and view a company's credit notes.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `transaction_date` (datetime, optional, nullable) — The credit note's transaction date.
- `status` (enum, optional, nullable) — The credit note's status. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=status` to receive the integration's own value instead.
  - Allowed values: `SUBMITTED`, `AUTHORIZED`, `PAID`
- `number` (string, optional, nullable) — The credit note's number.
- `contact` (string, optional, nullable) — The credit note's contact.
- `company` (string, optional, nullable) — The company the credit note belongs to.
- `exchange_rate` (string, optional, nullable) — The credit note's exchange rate.
- `total_amount` (double, optional, nullable) — The credit note's total amount.
- `remaining_credit` (double, optional, nullable) — The amount of value remaining in the credit note that the customer can use.
- `inclusive_of_tax` (boolean, optional, nullable) — If the transaction is inclusive or exclusive of tax. `True` if inclusive, `False` if exclusive.
- `line_items` (list of CreditNoteLineItem, optional)
- `tracking_categories` (list of string, optional)
- `currency` (enum, optional, nullable) — The credit note's currency. The currency code in ISO 4217 format.
  - Allowed values: `XUA`, `AFN`, `AFA`, `ALL`, `ALK`, `DZD`, `ADP`, `AOA`, `AOK`, `AON`, `AOR`, `ARA`, `ARS`, `ARM`, `ARP`, `ARL`, `AMD`, `AWG`, `AUD`, `ATS`, `AZN`, `AZM`, `BSD`, `BHD`, `BDT`, `BBD`, `BYN`, `BYB`, `BYR`, `BEF`, `BEC`, `BEL`, `BZD`, `BMD`, `BTN`, `BOB`, `BOL`, `BOV`, `BOP`, `BAM`, `BAD`, `BAN`, `BWP`, `BRC`, `BRZ`, `BRE`, `BRR`, `BRN`, `BRB`, `BRL`, `GBP`, `BND`, `BGL`, `BGN`, `BGO`, `BGM`, `BUK`, `BIF`, `XPF`, `KHR`, `CAD`, `CVE`, `KYD`, `XAF`, `CLE`, `CLP`, `CLF`, `CNX`, `CNY`, `CNH`, `COP`, `COU`, `KMF`, `CDF`, `CRC`, `HRD`, `HRK`, `CUC`, `CUP`, `CYP`, `CZK`, `CSK`, `DKK`, `DJF`, `DOP`, `NLG`, `XCD`, `DDM`, `ECS`, `ECV`, `EGP`, `GQE`, `ERN`, `EEK`, `ETB`, `EUR`, `XBA`, `XEU`, `XBB`, `XBC`, `XBD`, `FKP`, `FJD`, `FIM`, `FRF`, `XFO`, `XFU`, `GMD`, `GEK`, `GEL`, `DEM`, `GHS`, `GHC`, `GIP`, `XAU`, `GRD`, `GTQ`, `GWP`, `GNF`, `GNS`, `GYD`, `HTG`, `HNL`, `HKD`, `HUF`, `IMP`, `ISK`, `ISJ`, `INR`, `IDR`, `IRR`, `IQD`, `IEP`, `ILS`, `ILP`, `ILR`, `ITL`, `JMD`, `JPY`, `JOD`, `KZT`, `KES`, `KWD`, `KGS`, `LAK`, `LVL`, `LVR`, `LBP`, `LSL`, `LRD`, `LYD`, `LTL`, `LTT`, `LUL`, `LUC`, `LUF`, `MOP`, `MKD`, `MKN`, `MGA`, `MGF`, `MWK`, `MYR`, `MVR`, `MVP`, `MLF`, `MTL`, `MTP`, `MRU`, `MRO`, `MUR`, `MXV`, `MXN`, `MXP`, `MDC`, `MDL`, `MCF`, `MNT`, `MAD`, `MAF`, `MZE`, `MZN`, `MZM`, `MMK`, `NAD`, `NPR`, `ANG`, `TWD`, `NZD`, `NIO`, `NIC`, `NGN`, `KPW`, `NOK`, `OMR`, `PKR`, `XPD`, `PAB`, `PGK`, `PYG`, `PEI`, `PEN`, `PES`, `PHP`, `XPT`, `PLN`, `PLZ`, `PTE`, `GWE`, `QAR`, `XRE`, `RHD`, `RON`, `ROL`, `RUB`, `RUR`, `RWF`, `SVC`, `WST`, `SAR`, `RSD`, `CSD`, `SCR`, `SLL`, `XAG`, `SGD`, `SKK`, `SIT`, `SBD`, `SOS`, `ZAR`, `ZAL`, `KRH`, `KRW`, `KRO`, `SSP`, `SUR`, `ESP`, `ESA`, `ESB`, `XDR`, `LKR`, `SHP`, `XSU`, `SDD`, `SDG`, `SDP`, `SRD`, `SRG`, `SZL`, `SEK`, `CHF`, `SYP`, `STN`, `STD`, `TVD`, `TJR`, `TJS`, `TZS`, `XTS`, `THB`, `XXX`, `TPE`, `TOP`, `TTD`, `TND`, `TRY`, `TRL`, `TMT`, `TMM`, `USD`, `USN`, `USS`, `UGX`, `UGS`, `UAH`, `UAK`, `AED`, `UYW`, `UYU`, `UYP`, `UYI`, `UZS`, `VUV`, `VES`, `VEB`, `VEF`, `VND`, `VNN`, `CHE`, `CHW`, `XOF`, `YDD`, `YER`, `YUN`, `YUD`, `YUM`, `YUR`, `ZWN`, `ZRN`, `ZRZ`, `ZMW`, `ZMK`, `ZWD`, `ZWR`, `ZWL`
- `remote_created_at` (datetime, optional, nullable) — When the third party's credit note was created.
- `remote_updated_at` (datetime, optional, nullable) — When the third party's credit note was updated.
- `payments` (list of string, optional) — Array of `Payment` object IDs
- `applied_payments` (list of string, optional) — A list of the Payment Applied to Lines common models related to a given Invoice, Credit Note, or Journal Entry.
- `accounting_period` (string, optional, nullable) — The accounting period that the CreditNote was generated in.
- `applied_to_lines` (list of CreditNoteApplyLineForCreditNote, optional) — A list of the CreditNote Applied to Lines common models related to a given Credit Note
- `credit_note_url` (string, optional, nullable) — The 3rd party URL of the credit note.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (CreditNoteFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)

### CreditNoteLineItem

# The CreditNoteLineItem Object ### Description The `CreditNoteLineItem` object is used to represent a credit note's line items. ### Usage Example Fetch from the `GET CreditNote` endpoint and view the credit note's line items.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `item` (string, optional, nullable)
- `name` (string, optional, nullable) — The credit note line item's name.
- `description` (string, optional, nullable) — The description of the item that is owed.
- `quantity` (string, optional, nullable) — The credit note line item's quantity.
- `memo` (string, optional, nullable) — The credit note line item's memo.
- `unit_price` (string, optional, nullable) — The credit note line item's unit price.
- `tax_rate` (string, optional, nullable) — The tax rate that applies to this line item.
- `total_line_amount` (string, optional, nullable) — The credit note line item's total.
- `tracking_categories` (list of string, optional) — The credit note line item's associated tracking categories.
- `account` (string, optional, nullable) — The credit note line item's account.
- `company` (string, optional, nullable) — The company the credit note belongs to.
- `contact` (string, optional, nullable) — The credit note's contact.
- `project` (string, optional, nullable)
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `tracking_category` (string, optional, nullable, deprecated) — The credit note line item's associated tracking category.

### CreditNoteApplyLineForCreditNote

# The CreditNoteApplyLine Object ### Description The `CreditNoteApplyLine` is attached to the CreditNote model. ### Usage Example Fetch from the `GET CreditNote` endpoint and view the invoice's applied to lines.

- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `invoice` (string, optional, nullable)
- `applied_date` (datetime, optional, nullable) — Date that the credit note is applied to the invoice.
- `applied_amount` (string, optional, nullable) — The amount of the Credit Note applied to the invoice.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).

### CreditNoteFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

## Examples

**Response**

```json
{
  "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
  "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
  "results": [
    {
      "id": "8d9fd929-436c-4fd4-a48b-0c61f68d6178",
      "remote_id": "123877",
      "created_at": "2021-09-15T00:00:00Z",
      "modified_at": "2021-10-16T00:00:00Z",
      "transaction_date": "2020-03-31T00:00:00Z",
      "status": "PAID",
      "number": "CN-29",
      "contact": "c6c7b870-bb4d-489a-921e-2f0ee4192ff9",
      "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
      "exchange_rate": "2.9",
      "total_amount": 50,
      "remaining_credit": 20,
      "inclusive_of_tax": true,
      "line_items": [
        {
          "remote_id": "121222",
          "item": "0e3fd929-436c-4fd4-a48b-0c61f68d6178",
          "name": "Basic Monthly",
          "description": "prorated amount for items",
          "quantity": "1",
          "memo": "privNote",
          "unit_price": "5.0",
          "tax_rate": "8d9fd929-436c-4fd4-a48b-0c61f68d6178",
          "total_line_amount": "5.0",
          "tracking_categories": [
            "8d9fd929-436c-4fd4-a48b-0c61f68d6178",
            "9b840d2-686a-465a-8a8e-7b028498f8e4",
            "a47e11b6-c73b-4a0c-be31-130fc48177fa"
          ],
          "account": "8d9fd929-436c-4fd4-a48b-0c61f68d6178",
          "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
          "contact": "908934-49j9-093f-0989-908923908",
          "project": "22e65a5d-2df5-4e6e-884a-e538d0339000",
          "remote_was_deleted": true
        }
      ],
      "tracking_categories": [
        "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
        "9b840d2-686a-465a-8a8e-7b028498f8e4",
        "a47e11b6-c73b-4a0c-be31-130fc48177fa"
      ],
      "currency": "USD",
      "remote_created_at": "2020-03-31T00:00:00Z",
      "remote_updated_at": "2020-03-31T00:00:00Z",
      "payments": [
        "b26fd49a-cbae-470a-a8f8-bcbc119e0390"
      ],
      "applied_payments": [
        "a9a94a75-19c1-41fe-90d8-d9ba959c38e5"
      ],
      "accounting_period": "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
      "applied_to_lines": [
        {
          "invoice": "5b3c1341-a20f-4e51-b72c-f3830a16c97b",
          "applied_date": "2020-03-31T00:00:00Z",
          "applied_amount": "2.9"
        }
      ],
      "credit_note_url": "https://qbo.intuit.com/app/creditnote/123877",
      "remote_was_deleted": true,
      "field_mappings": {
        "organization_defined_targets": {
          "custom_key": "custom_value"
        },
        "linked_account_defined_targets": {
          "custom_key": "custom_value"
        }
      },
      "remote_data": [
        {
          "path": "/actions",
          "data": null
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/accounting/v1/credit-notes"

querystring = {"include_remote_data":"true"}

headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/accounting/v1/credit-notes?include_remote_data=true';
const options = {
  method: 'GET',
  headers: {'X-Account-Token': 'X-Account-Token', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/accounting/v1/credit-notes?include_remote_data=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/accounting/v1/credit-notes?include_remote_data=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/accounting/v1/credit-notes?include_remote_data=true")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/accounting/v1/credit-notes?include_remote_data=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/accounting/v1/credit-notes?include_remote_data=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/accounting/v1/credit-notes?include_remote_data=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```